Packages - Bug #275

vic+totem (/ustr/lib/libdvdnav.so.4) segfault while opening a dvd.
2012-12-12 01:03 PM - GNUtoo

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

gdb on totem gives that as the last functions in the stack:

#0 Oxac3206ec in dvdnav_describe_title_chapters () from /ust/lib/libdvdnav.so.4
#1 Oxac35e156 in ?? () from /usr/lib/gstreamer-1.0/libgstresindvd.so

I've libdvdread, libdvdnav and libdvdcss...

Denis

History

#2 - 2012-12-12 01:18 PM - GNUtoo

here's the end on the command line, the totem program was launched like that:

[gnutoo@localhost ~]$ totem dvd:///dev/sr0
and:

[gnutoo@localhost ~]$ groups
tty video audio optical users

[...]

No accelerated IMDCT transform found
No accelerated IMDCT transform found
No accelerated IMDCT transform found
No accelerated IMDCT transform found

*** libdvdread: CHECK_VALUE failed in ifo_read.c:914 ***
**x for pgc—->program_map_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:916 ***
**x for pgc->cell_position_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:914 **x*
**x for pgc—->program_map_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:916 ***
**x for pgc->cell_position_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:914 **x*
**x for pgc—->program_map_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:916 ***
**x for pgc—->cell_position_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:914 **x*
**x for pgc—->program_map_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:916 ***
**x for pgc—->cell_position_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:914 ***
**x for pgc—->program_map_offset != 0 ***

*** libdvdread: CHECK_VALUE failed in ifo_read.c:916 ***
**x for pgc—->cell_position_offset != 0 ***

Segmentation fault (core dumped)
https://labs.parabola.nu/issues/1

#3 - 2014-02-25 06:41 PM - Anonymous

- Status changed from open to not-a-bug

vlc and totem provides from Arch repos, it should be reported on Arch bugtracker [0] then

[0] https://bugs.archlinux.org/
